%define name gxine
%define version 0.4.8
%define release 1mdk
%define xinever 1-0.beta10.1mdk
%define fname %name-%version

Summary: GTK+ frontend for the Xine multimedia player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xine/%{fname}.tar.bz2
Patch: gxine-0.3.3-no-gnome-mime-registration.patch.bz2
Patch1: gxine-0.4.2-xmlparser.patch.bz2
License: GPL
Group: Video
URL: http://xine.sf.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xine-plugins >= %xinever
BuildRequires: libxine-devel >= %xinever
BuildRequires: libgtk+2.0-devel
BuildRequires: liblirc-devel

%description
This is a graphical frontend for Xine based on the GTK+ toolkit.

%package mozilla
Summary: Xine video player plugin for Mozilla
Group: Video
Requires: %name = %version

%description mozilla
This is a video player plugin for Mozilla and compatible web browsers
based on the Xine engine.

%prep
%setup -q -n %fname
%patch -p1
%patch1 -p1
%build
export LDFLAGS=-L%_prefix/X11R6/lib
%configure2_5x --disable-integration-wizard
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot/%_libdir/gxine/*a
mkdir -p %buildroot/%_libdir/mozilla/plugins
mv %buildroot/%_libdir/gxine/gxineplugin.so %buildroot/%_libdir/mozilla/plugins
%find_lang %name
mkdir -p %buildroot%{_libdir}/menu
cat > %buildroot%{_libdir}/menu/%{name} <<EOF 
?package(%name):command="%{_bindir}/%name" title="Gxine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="video_section.png" mimetypes="video/dv,video/mpeg,video/msvideo,video/quicktime,video/x-anim,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,video/x-nsv,video/x-flc,video/x-fli,application/ogg,application/x-ogg,audio/basic,audio/x-mp3,audio/x-mpeg,audio/mpeg,audio/x-wav,audio/x-mpegurl,audio/x-scpls,audio/x-m4a,audio/x-ms-asf,audio/x-ms-asx,audio/x-ms-wax,application/vnd.rn-realmedia,audio/x-real-audio,audio/x-pn-realaudio,application/x-flac,audio/x-flac,misc/ultravox,application/x-matroska" accept_url="true" multiple_files="true"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%_bindir/gxine
%_bindir/gxine_client
%{_datadir}/applications/gxine.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gxine/
%{_datadir}/man/man1/gxine.1.bz2
%{_datadir}/man/man1/gxine_client.1.bz2
%lang(de) %{_datadir}/man/de/man1/gxine.1.bz2
%lang(de) %{_datadir}/man/de/man1/gxine_client.1.bz2
%_menudir/%name

%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/gxineplugin.so

%changelog
* Mon Sep 12 2005 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdk
- New release 0.4.8

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdk
- New release 0.4.7

* Mon Jul 18 2005 Gtz Waschk <waschk@mandriva.org> 0.4.6-1mdk
- update file list
- New release 0.4.6

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.4.5-2mdk
- move mozilla plugin to a separate package (Austin)

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Mon Mar 28 2005 Götz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- New release 0.4.3

* Wed Mar  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- patch to fix build
- disable the wizard again
- New release 0.4.2

* Fri Dec 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- update file list
- source URL
- New release 0.4.1

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- new version

* Sun Nov 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.rc2.1mdk
- update file list
- new version

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.rc1.1mdk
- fix file list
- drop patch 1
- new version

* Thu Nov 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-5mdk
- fix build
- fix mime types in the menu
- security fix for a buffer overflow

* Mon Aug 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-4mdk
- add more mime types to the menu entry
- disable gnome mime registration wizard (bug #11084)

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-3mdk
- drop prefix
- fix buildrequires

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-2mdk
- fix distriblint warning

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-1mdk
- move the mozilla plugin to the right dir
- requires latest xine libs
- new version	

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- initial package
